VMTKIMAGESMOOTHING(1)

NAME
vmtkimagesmoothing - vmtk script vmtkimagesmoothing

DESCRIPTION
Automatic piping vmtkimagesmoothing Parsing options vmtkimagesmoothing

vmtkimagesmoothing : smooth an image with a Gaussian kernel or

    anisotropic diffusion

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Image (vtkImageData,1): the input image

-ifile ImageInputFileName (str,1): filename for the default Image

    reader

-method Method (str,1) in ['gauss', 'anisotropic']; default=gauss

-sigma StandardDeviation (float,1) >= 0.0; default=1.0: the

    standard deviation of the Gaussian in real space units (gauss)

-radiusfactor RadiusFactor (float,1) >= 0.0; default=5.0: the

    factor specifing the width of the discrete Gaussian kernel (gauss)

-dimensionality Dimensionality (int,1) >= 2 and <= 3; default=3:

    the dimensionality of the Aconvolution (gauss)

-conductance Conductance (float,1) >= 0.0; default=1.0: anisotropic

    diffustion coefficients (anisotropic)

-iterations NumberOfIterations (int,1) >= 5; default=5:
    number of

    anisotropic diffusion iterationsl (anisotropic)

-timestep TimeStep (float,1) >= 1e-16 and <= 1e+16; default=0.0625:

    time step of anisotropic diffusion (anisotropic)

-autocalculatetimestep AutoCalculateTimeStep (bool,1); default=1:

    auto calculate minimum time step (anisotropic)

-ofile ImageOutputFileName (str,1): filename for the default Image

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Image (vtkImageData,1): the output image

-timestep TimeStep (float,1); default=0.0625